Package org.apache.felix.framework.ext

# Interface FelixBundleContext

All Superinterfaces:
  `BundleContext`, `BundleReference`

public interface FelixBundleContext extends BundleContext

## Method Summary

Modifier and Type
Method
Description
`void`
`addCapability()`
`void`
`addRequirement(String s)`
`void`
`removeCapability()`
`void`
`removeRequirement()`

### Methods inherited from interface org.osgi.framework.BundleContext

`addBundleListener, addFrameworkListener, addServiceListener, addServiceListener, createFilter, getAllServiceReferences, getBundle, getBundle, getBundle, getBundles, getDataFile, getProperty, getService, getServiceObjects, getServiceReference, getServiceReference, getServiceReferences, getServiceReferences, installBundle, installBundle, registerService, registerService, registerService, registerService, removeBundleListener, removeFrameworkListener, removeServiceListener, ungetService`

## Method Details

### addRequirement

void addRequirement(String s) throws BundleException

Throws:
  `BundleException`

### removeRequirement

void removeRequirement() throws BundleException

Throws:
  `BundleException`

### addCapability

void addCapability() throws BundleException

Throws:
  `BundleException`

### removeCapability

void removeCapability() throws BundleException

Throws:
  `BundleException`